> For the complete documentation index, see [llms.txt](https://api.senderwiz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.senderwiz.com/customer/reports/track-subscriber-unsubscribe.md).

# Track Subscriber Unsubscribe

### 🚫 Track Subscriber Unsubscribe

Use this endpoint to register an unsubscribe event for a specific subscriber from a campaign.

***

#### 🔹 HTTP Request

```http
POST API-URL/campaigns/CAMPAIGN-UNIQUE-ID/track-unsubscribe/SUBSCRIBER-UNIQUE-ID
```

***

#### 🔸 URL Segments

| Segment                | Required | Description                  |
| ---------------------- | -------- | ---------------------------- |
| `CAMPAIGN-UNIQUE-ID`   | Yes      | Unique ID of the campaign.   |
| `SUBSCRIBER-UNIQUE-ID` | Yes      | Unique ID of the subscriber. |

***

#### 📝 POST Parameters

| Parameter    | Required | Description                          |
| ------------ | -------- | ------------------------------------ |
| `ip_address` | No       | IP address of the subscriber.        |
| `user_agent` | No       | User agent string of the subscriber. |
| `reason`     | No       | Optional reason for unsubscribing.   |

***

#### 🔐 Authorization Header

```
X-API-KEY: your-api-key-here
```

***

#### 💻 PHP Example

```php
// Track subscriber unsubscribe for campaign
$response = $endpoint->trackUnsubscribe('CAMPAIGN-UNIQUE-ID', 'SUBSCRIBER-UNIQUE-ID', [
    'ip_address' => '231.134.23.13',
    'user_agent' => 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_13_3) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36',
    'reason'     => 'Reason for unsubscribe!',
]);

// DISPLAY RESPONSE
echo '<hr /><pre>';
print_r($response->body);
echo '</pre>';
```

***

#### 📦 Sample JSON Response

```json
{
  "status": "success",
  "data": {}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.senderwiz.com/customer/reports/track-subscriber-unsubscribe.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
